Subject: Re: bug#77917: 31.0.50; [PATCH] Stop using the "stop" sign for all warning levels

From: Robert Pluim <[email-masked]>
Date: Wed, 07 May 2025 09:35:45 +0200

>>>>> On Wed, 07 May 2025 09:57:11 +0300, Juri Linkov <[email-masked]> said:

    >> I conclude from that that we should use U+26A0 U+FE0F ⚠️ as the symbol
    >> to insert. Right clicking does not necessarily come easy to Emacs
    >> users, so I still think a text button is needed.

    Juri> Ok, based on the feedback from everyone here is the patch
    Juri> that should satisfy all requirements:

    Juri> diff --git a/lisp/emacs-lisp/warnings.el b/lisp/emacs-lisp/warnings.el
    Juri> index 6c77d57a6ba..f3baa019ad2 100644
    Juri> --- a/lisp/emacs-lisp/warnings.el
    Juri> +++ b/lisp/emacs-lisp/warnings.el
    Juri> @@ -216,7 +216,7 @@ warning-suppress-p
    Juri>      some-match))
    Juri>  
    Juri>  (define-icon warnings-suppress button
    Juri> -  `((emoji "⛔")
    Juri> +  `((emoji "⚠️")
    Juri>      ;; Many MS-Windows console fonts don't have good glyphs for U+25A0.
    Juri>      (symbol ,(if (and (eq system-type 'windows-nt)
    Juri>                        (null window-system))
    Juri> @@ -333,6 +333,14 @@ display-warning
    Juri>  	      (insert (format (nth 1 level-info)
    Juri>  			      (format warning-type-format typename))
    Juri>  		      message)
    Juri> +              ;; Don't output the buttons when doing batch compilation
    Juri> +              ;; and similar.
    Juri> +              (unless (or noninteractive (eq type 'bytecomp))
    Juri> +                (insert " " (buttonize (propertize
    Juri> +                                        "[Suppress]" 'face
    Juri> +                                        '(variable-pitch (:height 0.9)))
    Juri> +                                       #'warnings-suppress type)
    Juri> +                        " "))
    Juri>                (funcall newline)
    Juri>  	      (when (and warning-fill-prefix
    Juri>                           (not (string-search "\n" message))

I donʼt think we need the trailing space, but the rest looks good to
me. I donʼt mind if we end up preferring ❌, but ⛔ is right out.

Robert
--